%define upstream_name       Text-SimpleTable
%define upstream_version 2.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Simple Eyecandy ASCII Tables
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

# Runtime

# Tests only

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%{?perl_default_filter}

%description
Simple eyecandy ASCII tables, as seen in Catalyst.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL -n INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Text/*
%{_mandir}/man3/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 2.70.0-4.mga9
+ Revision: 1810552
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.70.0-3.mga8
+ Revision: 1506760
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 2.70.0-2.mga7
+ Revision: 1286980
- Mageia 7 Mass Rebuild

* Wed Aug 01 2018 tv <tv> 2.70.0-1.mga7
+ Revision: 1246518
- update to 2.07

* Sun Jun 10 2018 tv <tv> 2.50.0-1.mga7
+ Revision: 1236145
- add missing BRs for testsuite
- update to 2.05

* Fri Mar 23 2018 tv <tv> 2.40.0-1.mga7
+ Revision: 1211693
- update to 2.04

* Sun Jun 19 2016 pterjan <pterjan> 2.30.0-8.mga6
+ Revision: 1035115
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 2.30.0-7.mga6
+ Revision: 932546
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.30.0-6.mga5
+ Revision: 740021
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 2.30.0-5.mga5
+ Revision: 736100
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.30.0-4.mga5
+ Revision: 686650
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.30.0-3.mga4
+ Revision: 515613
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.30.0-2.mga3
+ Revision: 374177
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 2.30.0-1.mga1
+ Revision: 15414
- imported package perl-Text-SimpleTable


* Fri Mar 12 2010 Jérôme Quelin <jquelin@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 518485
- update to 2.03

* Wed Mar 10 2010 Jérôme Quelin <jquelin@mandriva.org> 2.20.0-1mdv2010.1
+ Revision: 517305
- update to 2.02

* Sun Mar 07 2010 Jérôme Quelin <jquelin@mandriva.org> 2.10.0-1mdv2010.1
+ Revision: 515368
- update to 2.01

* Thu Aug 06 2009 Jérôme Quelin <jquelin@mandriva.org> 2.0.0-1mdv2010.0
+ Revision: 410633
- update to 2.0

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 1.800.0-1mdv2010.0
+ Revision: 408088
- update to 1.8

* Fri Jul 17 2009 Jérôme Quelin <jquelin@mandriva.org> 1.400.0-1mdv2010.0
+ Revision: 396742
- update to 1.4

* Wed Jul 08 2009 Jérôme Quelin <jquelin@mandriva.org> 1.200.0-1mdv2010.0
+ Revision: 393406
- update to 1.2
- fixed license field

* Fri Jul 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.100.0-1mdv2010.0
+ Revision: 391954
- new version

* Tue Sep 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-1mdv2009.0
+ Revision: 279069
- new version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.03-5mdv2009.0
+ Revision: 242051
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 0.03-3mdv2008.0
+ Revision: 23640
- rebuild


* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.03-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL

* Wed Jan 18 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.03-1mdk
- 0.03

* Tue Dec 20 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.02-3mdk
- Add BuildRequires

* Mon Dec 19 2005 Buchan Milne <bgmilne@mandriva.org> 0.02-2mdk
- Rebuild
- use mkrel

* Fri Dec 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.02-1mdk
- Initial MDV package

